commit:     d1165afe00440dc7857ea0b367281f64e7670f6c
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 30 00:59:49 2020 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Sun Aug 30 01:12:36 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d1165afe

dev-python/python-mpd: bump to version 1.1.0

Also added python3.9 support, fixes tests and
added install option for docs and examples.

Bug: https://bugs.gentoo.org/738292
Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 dev-python/python-mpd/Manifest                |  1 +
 dev-python/python-mpd/python-mpd-1.1.0.ebuild | 50 +++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/dev-python/python-mpd/Manifest b/dev-python/python-mpd/Manifest
index a7f8fc3bae5..8a32572980f 100644
--- a/dev-python/python-mpd/Manifest
+++ b/dev-python/python-mpd/Manifest
@@ -1 +1,2 @@
 DIST python-mpd-1.0.0.tar.gz 60032 BLAKE2B 
9293dfc85363f83041b1d73046dabe6a3243a63de495ba630eedbda96d1b080cfb1cc635801794a91103bbd4b9145733d63ce3ad252748d01ed596cd3b0f7895
 SHA512 
5fab12d082be39ac4a3477ea10b5d1fa350ceac23c97fb12a46f6cd0cfa6a83999f31528d6d7f74c1ffe67f4e63dfbe8fd3debcf917a6e3705bcf84a55a458ce
+DIST python-mpd-1.1.0.tar.gz 61104 BLAKE2B 
274a829a3fc1404a4e3beb4df3eb563c1f781325590702761d3b3b5bc42e3cd9f63809aab14bb98e4879c10ccd55bb9d7306485ec22d37538cc2e36006a3039a
 SHA512 
65b17ae34b2c731b7d45801211e49eacfc18239d5575075be0c11ace350da19b82dd151fefc42077454a988d3deb1b489471f739ddea2d915cb3c241669dbe32

diff --git a/dev-python/python-mpd/python-mpd-1.1.0.ebuild 
b/dev-python/python-mpd/python-mpd-1.1.0.ebuild
new file mode 100644
index 00000000000..de5bfd27925
--- /dev/null
+++ b/dev-python/python-mpd/python-mpd-1.1.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS="bdepend"
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python MPD client library"
+HOMEPAGE="https://github.com/Mic92/python-mpd2";
+SRC_URI="https://github.com/Mic92/${PN}2/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-3+"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+SLOT="0"
+IUSE="examples test +twisted"
+
+REQUIRED_USE="test? ( twisted )"
+
+RDEPEND="twisted? ( dev-python/twisted[${PYTHON_USEDEP}] )"
+
+DEPEND="${DEPEND}"
+
+BDEPEND="
+       test? (
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/toml[${PYTHON_USEDEP}]
+       )
+"
+
+RESTRICT="!test? ( test )"
+
+DOCS=( README.rst doc/{changes.rst,commands_header.txt} doc/topics/. )
+
+S="${WORKDIR}/${PN}2-${PV}"
+
+distutils_enable_sphinx doc --no-autodoc
+distutils_enable_tests pytest
+
+python_test() {
+       pytest mpd/tests.py -vv || die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+
+       use examples && dodoc -r examples/.
+}

Reply via email to